# -*-makefile-*-
#
# Copyright (C) 2010 by Michael Olbrich <m.olbrich@pengutronix.de>
#
# See CREDITS for details about who has contributed to this project.
#
# For further information about the PTXdist project and license conditions
# see the README file.
#

#
# We provide this package
#
HOST_PACKAGES-$(PTXCONF_HOST_MESALIB) += host-mesalib

HOST_MESALIB_DIR	= $(HOST_BUILDDIR)/Mesa-$(MESALIB_VERSION)
HOST_MESALIB_SUBDIR	:= src/glsl

# Do not apply the patches (build-target only)
$(STATEDIR)/host-mesalib.extract:
	@$(call targetinfo)
	@$(call clean, $(HOST_MESALIB_DIR))
	@$(call extract, HOST_MESALIB)
	@$(call touch)

# ----------------------------------------------------------------------------
# Prepare
# ----------------------------------------------------------------------------

HOST_MESALIB_CONF_TOOL	:= NO
HOST_MESALIB_MAKE_OPT	:= $(HOST_ENV) builtin_compiler

$(STATEDIR)/host-mesalib.prepare:
	@$(call targetinfo)
	# We do not want to use configure here to generate the Makefile as
	# that will test for all sorts of stuff we do not want to have to
	# have installed on the build machine.  All we really need is
	# a Makefile that will tell how to build builin_compiler
	cp local_src/host_mesa/Makefile $(HOST_MESALIB_DIR)/src/glsl
	@$(call touch)

# vim: syntax=make
