# -*-makefile-*-
#
# Copyright (C) 2012 Phytec
#
# See CREDITS for details about who has contributed to this project.
#
# For further information about the PTXdist project and license conditions
# see the README file.
#

#
# We provide this package
#
PACKAGES-$(PTXCONF_LIBDRI2) += libdri2

#
# The source tarball for libdri2 was created by:
#	cd OPBU_Linux_Ubuntu_GLP1.6.6/ppa/packages
#	dpkg-source -x libdri2*dsc
#	cd libdri2-1.0.3
#	export QUILT_PATCHES=debian/patches
#	quilt push -a
#	cd ..
#	tar czf libdri2-1.0.3.tar.gz libdri2-1.0.3
#
# The source tree is available at:
#	git clone git://gitorious.org/ubuntu-omap/libdri2.git
#

#
# Paths and names
#
LIBDRI2_VERSION	:= 1.0.3
LIBDRI2_MD5	:= 8a6201f9bfcd1244b7711523045aeece
LIBDRI2		:= libdri2
LIBDRI2_SUFFIX	:= tar.gz
LIBDRI2_URL	:= file://$(PTXDIST_WORKSPACE)/local_src/libdri2-$(LIBDRI2_VERSION).$(LIBDRI2_SUFFIX)
LIBDRI2_DIR	:= $(BUILDDIR)/libdri2-$(LIBDRI2_VERSION)

# ----------------------------------------------------------------------------
# Get
# ----------------------------------------------------------------------------

# ----------------------------------------------------------------------------
# Extract 
# ----------------------------------------------------------------------------
$(STATEDIR)/libdri2.extract:
	@$(call targetinfo)
	@$(call clean, $(LIBDRI2_DIR))
	@$(call extract, LIBDRI2)
	@$(call patchin, LIBDRI2, $(LIBDRI2_DIR))
	@$(call touch)

# ----------------------------------------------------------------------------
# Prepare
# ----------------------------------------------------------------------------

$(STATEDIR)/libdri2.prepare:
	@$(call targetinfo)
	export PKG_CONFIG_PATH=$(SYSROOT)/usr/lib/pkgconfig && \
	cd $(LIBDRI2_DIR) &&  \
	CFLAGS="-I$(SYSROOT)/usr/include -I$(SYSROOT)/usr/include/libdrm" \
	LDFLAGS=-L$(SYSROOT)/usr/lib \
	./autogen.sh --prefix=$(SYSROOT) --host=arm-cortexa9-linux-gnueabi
	@$(call touch)

# ----------------------------------------------------------------------------
#  Compile:
# ----------------------------------------------------------------------------
$(STATEDIR)/libdri2.compile:

	@$(call targetinfo)
	cd $(LIBDRI2_DIR) && $(MAKE)
	@$(call touch)
# ----------------------------------------------------------------------------
# Install
# ----------------------------------------------------------------------------
$(STATEDIR)/libdri2.install:

	@$(call targetinfo)
	install $(LIBDRI2_DIR)/include/X11/extensions/dri2.h \
				$(SYSROOT)/usr/include/X11/extensions
	install $(LIBDRI2_DIR)/src/.libs/libdri2.so.1.0.0 \
		 		$(SYSROOT)/usr/lib/libdri2.so
	install $(LIBDRI2_DIR)/dri2.pc $(SYSROOT)/usr/lib/pkgconfig
	@$(call touch)

# ----------------------------------------------------------------------------
# Target-Install
# ----------------------------------------------------------------------------

$(STATEDIR)/libdri2.targetinstall:
	
	@$(call targetinfo)
	@$(call install_init, libdri2)
	@$(call install_copy, libdri2, 0, 0, 0755, \
		 $(LIBDRI2_DIR)/src/.libs/libdri2.so.1.0.0, \
		 /usr/lib/libdri2.so.1.0.0)
	@$(call install_link, libdri2, libdri2.so.1.0.0, /usr/lib/libdri2.so)
	@$(call install_link, libdri2, libdri2.so.1.0.0, /usr/lib/libdri2.so.1)
	@$(call install_finish, libdri2)
	@$(call touch)

# vim: syntax=make
