# -*-makefile-*-
#
# Copyright (C) 2012 Phytec
#
# See CREDITS for details about who has contributed to this project.
#
# For further information about the PTXdist project and license conditions
# see the README file.
#

#
# We provide this package
#
PACKAGES-$(PTXCONF_PROPRIETARY_DDK) += proprietary_ddk

#
# Paths and names
#
PROPRIETARY_DDK_VERSION	:= 1.9.0.6.1
PROPRIETARY_DDK_MD5	:= 1636fffcbdc01947180945e8b2656848
PROPRIETARY_DDK		:= proprietary_ddk-$(PROPRIETARY_DDK_VERSION)
PROPRIETARY_DDK_SUFFIX	:= tgz
PROPRIETARY_DDK_URL	:= file://$(PTXDIST_WORKSPACE)/local_src/ProprietaryDDK-$(PROPRIETARY_DDK_VERSION).$(PROPRIETARY_DDK_SUFFIX)
PROPRIETARY_DDK_DIR	:= $(BUILDDIR)/$(PROPRIETARY_DDK)

# ----------------------------------------------------------------------------
# Extract 
# ----------------------------------------------------------------------------
$(STATEDIR)/proprietary_ddk.extract:
	@$(call targetinfo)
	@$(call clean, $(PROPRIETARY_DDK_DIR))
	@$(call extract, PROPRIETARY_DDK)
	@$(call touch)

# ----------------------------------------------------------------------------
# Prepare
# ----------------------------------------------------------------------------

$(STATEDIR)/proprietary_ddk.prepare:
	@$(call targetinfo)
	@$(call touch)

# ----------------------------------------------------------------------------
# Compile
# ----------------------------------------------------------------------------

$(STATEDIR)/proprietary_ddk.compile:
	@$(call targetinfo)
	@$(call touch)

# ----------------------------------------------------------------------------
# Install
# ----------------------------------------------------------------------------

$(STATEDIR)/proprietary_ddk.install:
	@$(call targetinfo)
	@$(call touch)

# ----------------------------------------------------------------------------
# Target-Install
# ----------------------------------------------------------------------------

PROP_BIN_DIR=sgx-lib-$(PROPRIETARY_DDK_VERSION)/eurasia/eurasiacon/binary2_omap4430_linux_release/target

$(STATEDIR)/proprietary_ddk.targetinstall:
	@$(call targetinfo)

	@$(call install_init, proprietary_ddk)

	@$(call install_copy, proprietary_ddk, 0, 0, 0755, \
		$(PROPRIETARY_DDK_DIR)/xf86-video-omap-pvr-0.3.5/src/.libs/omap_pvr_drv.so, \
		/usr/lib/xorg/modules/multimedia/omap_pvr_drv.so)

	@find $(PROPRIETARY_DDK_DIR)/$(PROP_BIN_DIR) -name "*.so" \
		| while read file; do \
		base=`basename $$file` ; \
		$(call install_copy, proprietary_ddk, 0, 0, 0755, \
			$$file, /usr/lib/$$base, n) \
	done
	@$(call install_link, proprietary_ddk, libGLESv1_CM.so, /usr/lib/libGLESv1_CM.so.1)
	@$(call install_link, proprietary_ddk, libGLESv1_CM.so, /usr/lib/libGLES_CM.so)
	@$(call install_link, proprietary_ddk, libGLESv2.so, /usr/lib/libGLESv2.so.2)
	@$(call install_link, proprietary_ddk, libEGL.so, /usr/lib/libEGL.so.1)

	@find $(PROPRIETARY_DDK_DIR)/$(PROP_BIN_DIR) -name "*.h" \
		| while read file; do \
		base=`basename $$file` ; \
		$(call install_copy, proprietary_ddk, 0, 0, 0755, \
			$$file, /usr/include/$$base, n) \
	done

	@find $(PROPRIETARY_DDK_DIR)/$(PROP_BIN_DIR) -name "*.txt" \
		| while read file; do \
		base=`basename $$file` ; \
		$(call install_copy, proprietary_ddk, 0, 0, 0755, \
			$$file, /usr/share/sgx-lib/$$base, n) \
	done

	@$(call install_copy, proprietary_ddk, 0, 0, 0755, \
		$(PROPRIETARY_DDK_DIR)/$(PROP_BIN_DIR)/pvrsrvinit, \
		/usr/sbin/pvrsrvinit)

	@find $(PROPRIETARY_DDK_DIR)/Demos -name "OGLES*" \
		| while read file; do \
		base=`basename $$file` ; \
		$(call install_copy, proprietary_ddk, 0, 0, 0755, \
			$$file, /usr/bin/$$base, n) \
	done

	@$(call install_finish, proprietary_ddk)

	@$(call touch)

# vim: syntax=make
